<?php
/*
Plugin Name: MM_View_CompMetaPict
Version: 1.0
Description: Display Picture Metadata in a flowed structure to lower vertical space used / Affiche les mtadonnes d'une image de manire fluide pour optimiser l'espace vertical
Author: PhpWebGallery team
Author URI: http://www.phpwebgallery.net
*/
  global $template;
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

//MAIN
$new_tpl= '
<!-- BEGIN metadata -->
<div id="metadata">
  <!-- BEGIN headline -->
    <p id="metahead">{metadata.headline.TITLE}</p>
  <!-- END headline -->
  <p>
  <!-- BEGIN line -->
    <span class="md_key">{metadata.line.KEY}</span> :
			<span class="md_value">{metadata.line.VALUE}</span> &nbsp; &mdash; &nbsp;
  <!-- END line -->
  </p>
</div>
<!-- END metadata -->';

MM_update_tpl_code('picture','<!-- BEGIN metadata -->','<!-- END metadata -->',$new_tpl);

add_event_handler('loc_end_page_header','MM_add_style');

/******************************************************************************/
/* FUNCTIONS */
/******************************************************************************/
/* Remplace une partie du code par une autre dans un template */
function MM_update_tpl_code($tlp_handle, $str_begin, $str_end, $new_code)
{
 global $template;

  $p_beg = strpos($template->uncompiled_code[$tlp_handle], $str_begin);
  $p_end = strpos($template->uncompiled_code[$tlp_handle], $str_end) + strlen($str_end);
  $s = substr($template->uncompiled_code[$tlp_handle], $p_beg, $p_end - $p_beg);

  $template->uncompiled_code[$tlp_handle] =
  substr_replace($template->uncompiled_code[$tlp_handle],
		$new_code, $p_beg, $p_end - $p_beg);

}

function MM_add_style()
{
  global $conf, $template;
  $W = $conf['tn_width'];

	if ( isset($template->files['picture']) ) {
  $template->assign_block_vars('head_element', array('CONTENT' => '
<style type="text/css">
/* Set some sizes according to your maximum thumbnail width and height */
#theImage metadata {
 	margin:auto; /* used to center */
 	width: '.$W.'px;
}
#theImage metahead, #theImage md_key { font-weight: bold; }
#theImage md_value { }
</style>
  '));
  
  }
}



?>
